Skip to main content
GET
SDK (TypeScript)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
workflow_version_id
string<uuid> | null
required
workflow_inputs
unknown
required
workflow_id
string<uuid>
required
workflow_api
unknown
required
machine_id
string<uuid> | null
required
origin
string
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
gpu_event_id
string | null
required
gpu
string | null
required
machine_version
string | null
required
machine_type
string | null
required
modal_function_call_id
string | null
required
user_id
string | null
required
org_id
string | null
required
live_status
string | null
required
webhook
string | null
required
webhook_status
string | null
required
number
integer
required
duration
number | null
required
cold_start_duration
number | null
required
cold_start_duration_total
number | null
required
run_duration
number | null
required
ended_at
string<date-time> | null
queued_at
string<date-time> | null
started_at
string<date-time> | null
progress
number
default:0
is_realtime
boolean
default:false
webhook_intermediate_status
boolean
default:false
outputs
WorkflowRunOutputModel · object[]